## ros-noetic-navigation 1.17.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(navigation)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-navigation (1.17.3-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 10 Jan 2023 05:00:00 -0000

ros-noetic-navigation (1.17.2-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 20 Jun 2022 04:00:00 -0000

ros-noetic-navigation (1.17.1-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-noetic-navigation (1.17.0-1buster) buster; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 02 Apr 2020 04:00:00 -0000

ros-noetic-navigation (1.16.6-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 18 Mar 2020 04:00:00 -0000

ros-noetic-navigation (1.16.5-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Sun, 15 Mar 2020 04:00:00 -0000

ros-noetic-navigation (1.16.4-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-noetic-navigation (1.16.3-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-noetic-navigation (1.16.2-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 31 Jul 2018 04:00:00 -0000

ros-noetic-navigation (1.16.1-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 28 Jul 2018 04:00:00 -0000

ros-noetic-navigation (1.16.0-1buster) buster; urgency=high

  * remove robot_pose_ekf, see #701 <https://github.com/ros-planning/navigation/issues/701>
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 25 Jul 2018 04:00:00 -0000

ros-noetic-navigation (1.15.2-1buster) buster; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 22 Mar 2018 04:00:00 -0000

ros-noetic-navigation (1.15.1-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-noetic-navigation (1.15.0-1buster) buster; urgency=high

  * convert packages to format2
  * Contributors: Mikael Arguedas

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-noetic-navigation (1.14.0-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-noetic-navigation (1.13.1-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-noetic-navigation (1.13.0-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-noetic-navigation (1.12.0-1buster) buster; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-noetic-navigation (1.11.15-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-noetic-navigation (1.11.14-1buster) buster; urgency=high

  * add global planner run depend in meta package.
  * Contributors: Jihoon Lee

 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-noetic-navigation (1.11.13-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-noetic-navigation (1.11.12-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-noetic-navigation (1.11.11-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-noetic-navigation (1.11.10-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-noetic-navigation (1.11.9-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 10 Jun 2014 04:00:00 -0000

ros-noetic-navigation (1.11.8-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-noetic-navigation (1.11.7-1buster) buster; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-noetic-navigation (1.11.4-1buster) buster; urgency=high

  * Package URL Updates

 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 27 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-navigation
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mfergs7@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/navigation
Standards-Version: 3.9.2

Package: ros-noetic-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-amcl, ros-noetic-base-local-planner, ros-noetic-carrot-planner, ros-noetic-clear-costmap-recovery, ros-noetic-costmap-2d, ros-noetic-dwa-local-planner, ros-noetic-fake-localization, ros-noetic-global-planner, ros-noetic-map-server, ros-noetic-move-base, ros-noetic-move-base-msgs, ros-noetic-move-slow-and-clear, ros-noetic-nav-core, ros-noetic-navfn, ros-noetic-rotate-recovery, ros-noetic-voxel-grid
Description: A 2D navigation stack that takes in information from odometry, sensor streams, and a goal pose and outputs safe velocity commands that are sent to a mobile base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-navigation//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
